<center><a href="test_IRIX.c">Actual source code: test_IRIX.c</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:35:57+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80">
<a name="line2">  2: </a><font color="#A020F0">#include &lt;stdio.h&gt;</font>
<a name="line3">  3: </a><font color="#A020F0">#include </font><font color="#666666">"../f90_IRIX.h"</font><font color="#A020F0"></font>

<a name="line5">  5: </a>int    *iarray;
<a name="line6">  6: </a>double *darray;

<a name="line8">  8: </a><strong><font color="#4169E1"><a name="foo1_"></a>void foo1_(int*a,double *b)</font></strong>
<a name="line9">  9: </a>{
<a name="line10"> 10: </a>  iarray = a;
<a name="line11"> 11: </a>  darray = b;
<a name="line12"> 12: </a>}

<a name="line14"> 14: </a><strong><font color="#4169E1"><a name="foo2_"></a>void foo2_(array3d *a,array3d *b)</font></strong>
<a name="line15"> 15: </a>{
<a name="line16"> 16: </a>  int i;
<a name="line17"> 17: </a>  int *aa = (int*)a;
<a name="line18"> 18: </a>  int *bb = (int*)b;
<a name="line19"> 19: </a>
<a name="line20"> 20: </a>  printf(<font color="#666666">"Integer Structure Contents: "</font>);
<a name="line21"> 21: </a>  <font color="#4169E1">for</font>(i = 0; i&lt; 40; i++) printf(<font color="#666666">"%d "</font>,aa[i]);
<a name="line22"> 22: </a>  printf(<font color="#666666">"\n\n"</font>);

<a name="line24"> 24: </a>  <font color="#4169E1">if</font> ((int*)a-&gt;addr == iarray) printf(<font color="#666666">"Data Address Matches\n"</font>);
<a name="line25"> 25: </a>  <font color="#4169E1">else</font> printf(<font color="#666666">"*** Data Address Mismatch*** \n"</font>);

<a name="line27"> 27: </a>  printf (<font color="#666666">"Junk Values a,b,c,d,unknown = %d,%d,%d,%ld,%d\n"</font>,a-&gt;a,a-&gt;b,a-&gt;c,a-&gt;d,a-&gt;unknown);
<a name="line28"> 28: </a>  printf(<font color="#666666">"Array ndim =  %d,Sizeof(data) = %ld \n"</font>, a-&gt;ndim,a-&gt;sd);
<a name="line29"> 29: </a>  printf(<font color="#666666">"  Dim  StartIndex Len offset\n"</font>);
<a name="line30"> 30: </a>
<a name="line31"> 31: </a>  <font color="#4169E1">for</font> (i=0; i&lt; a-&gt;ndim; i++)
<a name="line32"> 32: </a>  printf(<font color="#666666">"   %1d   %3ld      %4ld  %6ld\n"</font>,i,a-&gt;dim[i].lower,a-&gt;dim[i].extent,
<a name="line33"> 33: </a>         a-&gt;dim[i].mult);
<a name="line34"> 34: </a>
<a name="line35"> 35: </a>
<a name="line36"> 36: </a>  printf(<font color="#666666">"\n\nDouble Structure Contents: "</font>);
<a name="line37"> 37: </a>  <font color="#4169E1">for</font>(i = 0; i&lt; 40; i++) printf(<font color="#666666">"%d "</font>,bb[i]);
<a name="line38"> 38: </a>  printf(<font color="#666666">"\n\n"</font>);

<a name="line40"> 40: </a>  <font color="#4169E1">if</font> ((int*)a-&gt;addr == iarray) printf(<font color="#666666">"Data Address Matches\n"</font>);
<a name="line41"> 41: </a>  <font color="#4169E1">else</font> printf(<font color="#666666">"*** Data Address Mismatch*** \n"</font>);

<a name="line43"> 43: </a>  printf (<font color="#666666">"Junk Values a,b,c,d,unknown = %d,%d,%d,%ld,%d\n"</font>,b-&gt;a,b-&gt;b,b-&gt;c,b-&gt;d,b-&gt;unknown);
<a name="line44"> 44: </a>  printf(<font color="#666666">"Array ndim =  %d,Sizeof(data) = %ld \n"</font>,b-&gt;ndim,b-&gt;sd);
<a name="line45"> 45: </a>  printf(<font color="#666666">"  Dim  StartIndex Len offset\n"</font>);
<a name="line46"> 46: </a>
<a name="line47"> 47: </a>  <font color="#4169E1">for</font> (i=0; i&lt; b-&gt;ndim; i++)
<a name="line48"> 48: </a>  printf(<font color="#666666">"   %1d   %3ld      %4ld  %6ld\n"</font>,i,b-&gt;dim[i].lower,b-&gt;dim[i].extent,
<a name="line49"> 49: </a>         b-&gt;dim[i].mult);
<a name="line50"> 50: </a>
<a name="line51"> 51: </a>}

</pre>
</body>

</html>
